Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 11-02-2019 11:10:39

Kellogs
Membre
Distrib. : SID
Noyau : Linux 4.18.0-3-amd64
(G)UI : Gnome
Inscription : 02-07-2017

Bug : chromium et firefox-esr en qwerty

Bonjour a tous,

Je fonctionne en Debian SID depuis toujours sans probleme.

Depuis la derniere mise a jour  mon clavier
est passe en qwerty pour firefox-esr et chromium

Toutes les autres applications fonctionnent correctement avec un clavier francais.

Mes reglages ont l air corrects :

sudo locale
 


LANG=fr_FR.UTF-8
LANGUAGE=
LC_CTYPE="fr_FR.UTF-8"
LC_NUMERIC=fr_FR.UTF-8
LC_TIME=fr_FR.UTF-8
LC_COLLATE="fr_FR.UTF-8"
LC_MONETARY=fr_FR.UTF-8
LC_MESSAGES="fr_FR.UTF-8"
LC_PAPER=fr_FR.UTF-8
LC_NAME="fr_FR.UTF-8"
LC_ADDRESS="fr_FR.UTF-8"
LC_TELEPHONE="fr_FR.UTF-8"
LC_MEASUREMENT=fr_FR.UTF-8
LC_IDENTIFICATION="fr_FR.UTF-8"
LC_ALL=



J ai cherche des rapport de bugs sans rien trouver :
https://bugs.debian.org/cgi-bin/pkgrepo … t=unstable
https://bugs.debian.org/cgi-bin/pkgrepo … t=unstable

Une idee ?

Edit à toto : J'ai édité ton message pour le rendre plus lisible. Je te laisse cliquer sur le lien Modifier au bas à droite de ce post pour voir comment le bb-code est utilisé pour ça.
Voir le tuto : Le code, ça pique moins les yeux en couleur

Dernière modification par Kellogs (11-02-2019 11:25:34)

Hors ligne

#2 11-02-2019 11:42:13

robert2a
Membre
Lieu : France
Inscription : 15-11-2014

Re : Bug : chromium et firefox-esr en qwerty

Bonjour
pour firefox tu a bien le paquet installé  =>  Firefox-esr-l10n-fr  ?  (les menus de firefox sont en fr ? )

et pour chromium idem le paquet de langues => chromium-l10n   installé  ?

Dernière modification par robert2a (11-02-2019 11:44:23)

Hors ligne

#3 11-02-2019 11:45:43

Kellogs
Membre
Distrib. : SID
Noyau : Linux 4.18.0-3-amd64
(G)UI : Gnome
Inscription : 02-07-2017

Re : Bug : chromium et firefox-esr en qwerty

Oui les paquets de localisation sont bien installes pour firefox et chromiu;.
J ai declare un bug sur Debian n en pouvant plus d ecrire en QWERTY.

Hors ligne

#4 11-02-2019 11:49:06

captnfab
Admin-Girafe
Lieu : /dev/random
Distrib. : Debian Stretch/Buster/Sid/Rc-Buggy
Noyau : Linux (≥ 4.12)
(G)UI : i3-wm (≥ 4.13)
Inscription : 07-07-2008
Site Web

Re : Bug : chromium et firefox-esr en qwerty

Plop,
Utilises-tu une méthode d'entrée particulière ? (SCIM, ibus, etc.)

captnfab,
Association Debian-Facile, bépo.
TheDoctor: Your wish is my command… But be careful what you wish for.

Hors ligne

#5 11-02-2019 11:50:47

Kellogs
Membre
Distrib. : SID
Noyau : Linux 4.18.0-3-amd64
(G)UI : Gnome
Inscription : 02-07-2017

Re : Bug : chromium et firefox-esr en qwerty

le probleme est survenu a
2019-02-11  09:35:53

cat /var/log/apt/history.log
 



Start-Date: 2019-02-11  09:35:53
Commandline: apt-get dist-upgrade
Requested-By: mario (1000)
Upgrade: libgcc-7-dev:amd64 (7.4.0-4, 7.4.0-5), libmpx2:amd64 (8.2.0-19, 8.2.0-20), exim4-base:amd64 (4.92~RC5-2, 4.92~RC6-1), qtbase5-dev-tools:amd64 (5.11.3+dfsg-4, 5.11.3+dfsg-5), libseccomp2:amd64 (2.3.3-3, 2.3.3-4), libqt5test5:amd64 (5.11.3+dfsg-4, 5.11.3+dfsg-5), libobjc-8-dev:amd64 (8.2.0-19, 8.2.0-20), qt5-gtk-platformtheme:amd64 (5.11.3+dfsg-4, 5.11.3+dfsg-5), lib32stdc++6:amd64 (8.2.0-19, 8.2.0-20), libqt5opengl5-dev:amd64 (5.11.3+dfsg-4, 5.11.3+dfsg-5), base-passwd:amd64 (3.5.45, 3.5.46), grub-common:amd64 (2.02+dfsg1-10, 2.02+dfsg1-11), libobjc4:amd64 (8.2.0-19, 8.2.0-20), cpp-7:amd64 (7.4.0-4, 7.4.0-5), cpp-8:amd64 (8.2.0-19, 8.2.0-20), gcc-8-base:amd64 (8.2.0-19, 8.2.0-20), python3-urllib3:amd64 (1.24-1, 1.24.1-1), qt5-default:amd64 (5.11.3+dfsg-4, 5.11.3+dfsg-5), libitm1:amd64 (8.2.0-19, 8.2.0-20), libdvdread4:amd64 (6.0.0-1, 6.0.1-1), libqt5dbus5:amd64 (5.11.3+dfsg-4, 5.11.3+dfsg-5), libqt5sql5-sqlite:amd64 (5.11.3+dfsg-4, 5.11.3+dfsg-5), gcc-7-base:amd64 (7.4.0-4, 7.4.0-5), runit-helper:amd64 (2.8.4, 2.8.5), exim4-daemon-light:amd64 (4.92~RC5-2, 4.92~RC6-1), libqt5widgets5:amd64 (5.11.3+dfsg-4, 5.11.3+dfsg-5), libzbar0:amd64 (0.10+doc-10.1+b4, 0.10+doc-11), grub2-common:amd64 (2.02+dfsg1-10, 2.02+dfsg1-11), libcilkrts5:amd64 (7.4.0-4, 7.4.0-5), cmake-data:amd64 (3.13.2-1, 3.13.4-1), libasan4:amd64 (7.4.0-4, 7.4.0-5), libasan5:amd64 (8.2.0-19, 8.2.0-20), libquadmath0:amd64 (8.2.0-19, 8.2.0-20), libpipeline1:amd64 (1.5.1-1, 1.5.1-2), grub-pc:amd64 (2.02+dfsg1-10, 2.02+dfsg1-11), libqt5xml5:amd64 (5.11.3+dfsg-4, 5.11.3+dfsg-5), installation-report:amd64 (2.69, 2.70), libqt5printsupport5:amd64 (5.11.3+dfsg-4, 5.11.3+dfsg-5), libgcc1:amd64 (1:8.2.0-19, 1:8.2.0-20), libqt5concurrent5:amd64 (5.11.3+dfsg-4, 5.11.3+dfsg-5), libstdc++-7-dev:amd64 (7.4.0-4, 7.4.0-5), grub-pc-bin:amd64 (2.02+dfsg1-10, 2.02+dfsg1-11), lib32gcc1:amd64 (1:8.2.0-19, 1:8.2.0-20), libgcc-8-dev:amd64 (8.2.0-19, 8.2.0-20), libqt5gui5:amd64 (5.11.3+dfsg-4, 5.11.3+dfsg-5), libtsan0:amd64 (8.2.0-19, 8.2.0-20), man-db:amd64 (2.8.5-1, 2.8.5-2), libubsan0:amd64 (7.4.0-4, 7.4.0-5), libubsan1:amd64 (8.2.0-19, 8.2.0-20), g++-7:amd64 (7.4.0-4, 7.4.0-5), g++-8:amd64 (8.2.0-19, 8.2.0-20), rcs:amd64 (5.9.4-4, 5.9.4-5), exim4-config:amd64 (4.92~RC5-2, 4.92~RC6-1), qt5-qmake:amd64 (5.11.3+dfsg-4, 5.11.3+dfsg-5), libgfortran4:amd64 (7.4.0-4, 7.4.0-5), libgfortran5:amd64 (8.2.0-19, 8.2.0-20), gcc-7:amd64 (7.4.0-4, 7.4.0-5), gcc-8:amd64 (8.2.0-19, 8.2.0-20), libobjc-7-dev:amd64 (7.4.0-4, 7.4.0-5), gfortran-8:amd64 (8.2.0-19, 8.2.0-20), python-urllib3:amd64 (1.24-1, 1.24.1-1), liblsan0:amd64 (8.2.0-19, 8.2.0-20), libgomp1:amd64 (8.2.0-19, 8.2.0-20), libqt5core5a:amd64 (5.11.3+dfsg-4, 5.11.3+dfsg-5), debhelper:amd64 (12, 12.1), binfmt-support:amd64 (2.2.0-1, 2.2.0-2), qtbase5-dev:amd64 (5.11.3+dfsg-4, 5.11.3+dfsg-5), qtbase5-doc:amd64 (5.11.3+dfsg-4, 5.11.3+dfsg-5), libqt5opengl5:amd64 (5.11.3+dfsg-4, 5.11.3+dfsg-5), libgfortran-8-dev:amd64 (8.2.0-19, 8.2.0-20), cmake:amd64 (3.13.2-1, 3.13.4-1), libcapstone3:amd64 (3.0.5-3, 3.0.5-4), libatomic1:amd64 (8.2.0-19, 8.2.0-20), libqt5network5:amd64 (5.11.3+dfsg-4, 5.11.3+dfsg-5), libcc1-0:amd64 (8.2.0-19, 8.2.0-20), libgphobos76:amd64 (8.2.0-19, 8.2.0-20), libstdc++6:amd64 (8.2.0-19, 8.2.0-20), qt5-qmake-bin:amd64 (5.11.3+dfsg-4, 5.11.3+dfsg-5), libstdc++-8-dev:amd64 (8.2.0-19, 8.2.0-20), libqt5sql5:amd64 (5.11.3+dfsg-4, 5.11.3+dfsg-5), libqt5sql5-mysql:amd64 (5.11.3+dfsg-4, 5.11.3+dfsg-5), liberror-perl:amd64 (0.17027-1, 0.17027-2)
End-Date: 2019-02-11  09:36:50

Start-Date: 2019-02-11  10:12:09
Commandline: apt-get install chromium-l10n
Requested-By: mario (1000)
Install: chromium-l10n:amd64 (72.0.3626.81-1)
End-Date: 2019-02-11  10:12:10

Start-Date: 2019-02-11  10:39:39
Commandline: apt-get dist-upgrade
Requested-By: mario (1000)
Upgrade: gnome-control-center-data:amd64 (1:3.30.2-5, 1:3.30.3-1), gnome-control-center:amd64 (1:3.30.2-5, 1:3.30.3-1), libkf5auth-data:amd64 (5.54.0-1, 5.54.0-2), libkf5auth5:amd64 (5.54.0-1, 5.54.0-2)
End-Date: 2019-02-11  10:39:42

Start-Date: 2019-02-11  10:59:03
Commandline: apt-get install gnome-core
Install: libproxy1-plugin-webkit:amd64 (0.4.15-5, automatic), gnome-core:amd64 (1:3.22+13)
End-Date: 2019-02-11  10:59:04



Edit à toto : J'ai édité ton message pour le rendre plus lisible. Je te laisse cliquer sur le lien Modifier au bas à droite de ce post pour voir comment le bb-code est utilisé pour ça.
Voir le tuto : Le code, ça pique moins les yeux en couleur

Dernière modification par Kellogs (11-02-2019 11:52:22)

Hors ligne

#6 11-02-2019 12:13:34

Kellogs
Membre
Distrib. : SID
Noyau : Linux 4.18.0-3-amd64
(G)UI : Gnome
Inscription : 02-07-2017

Re : Bug : chromium et firefox-esr en qwerty

Kellogs a écrit :

Oui les paquets de localisation sont bien installes pour firefox et chromiu;.
J ai declare un bug sur Debian n en pouvant plus d ecrire en QWERTY.



je ne sais pas.
Comment le savoir ?

Hors ligne

#7 11-02-2019 13:02:58

Kellogs
Membre
Distrib. : SID
Noyau : Linux 4.18.0-3-amd64
(G)UI : Gnome
Inscription : 02-07-2017

Re : Bug : chromium et firefox-esr en qwerty

Trouvé le bug ...

Il s'agit de #922020 portant sur xkb-data.
https://bugs.debian.org/cgi-bin/bugrepo … bug=922020

Il faut conserver le paquet et ne pas le mettre à jour ou revenir à la version stable.

Dernière modification par Kellogs (11-02-2019 13:05:52)

Hors ligne

#8 11-02-2019 13:14:52

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 9 (stretch) 64 bits + backports
Noyau : 4.9.65-3+deb9u2
(G)UI : gnome
Inscription : 21-10-2008

Re : Bug : chromium et firefox-esr en qwerty

Kellogs a écrit :

Il faut conserver le paquet et ne pas le mettre à jour ou revenir à la version stable.


\o/
Voir le tuto : C'est résolu ! Bravo mais il faut l'indiquer dans l'titre. big_smile


"Théo et Adama te rappellent pourquoi Zyed et Bouna couraient…"
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#9 11-02-2019 13:40:00

robert2a
Membre
Lieu : France
Inscription : 15-11-2014

Re : Bug : chromium et firefox-esr en qwerty

moralité pendant le gel de testing éviter d'utiliser sid a moins de vouloir participer aux recherches de bugs .
l'entrée de paquets dans sid est limité a l'amélioration de la future stable pendant toute la période du gel , au grand désespoir des utilisateurs friand de nouveautés  tongue  cool
=> https://packages.debian.org/fr/buster/xkb-data
=> https://bugs.debian.org/cgi-bin/pkgrepo … t=unstable
=> https://tracker.debian.org/pkg/xkeyboard-config  (a mon avis cette version ne va pas être accepté dans le délais de 5 jours  roll ).

j'ai pensé au paquet "gnome-settings-daemon" mais la même version testing et sid et peu être pas de rapport avec ton souci

Hors ligne

Pied de page des forums